# Email Integrations Email Integrations ## Creates a new email integration record that does not already exist. - [POST /emailIntegrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/createemailintegration.md): This method will auto-generate an ID and create a new email integration. If an ID is specified for the email integration, an error will be thrown. ## Returns a list of email accounts that are available for integration - [GET /emailIntegrations/{tenantId}/accounts](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/listemailintegrationaccounts.md): Returns a list of email accounts that are available for integration ## Returns a list of email integrated queries by app - [GET /emailIntegrations/{tenantId}/app/{app}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/listemailintegrationsbyapp.md): Returns a list of email integrated queries by app ## Execute Batch Operations - [POST /emailIntegrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of email integrated queries by query - [GET /emailIntegrations/{tenantId}/query/{query_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/listemailintegrationsbyquery.md): Returns a list of email integrated queries by query ## Returns a email integration from the system by its ID. - [DELETE /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/deleteemailintegration.md): This method will delete a email integration with the specified ID. ## Returns a email integration from the system by its ID. - [GET /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/getemailintegration.md): This method will look up a email integration by the specified ID and return it back. ## Partially updates a email integration with the specified ID. - [PATCH /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/patchemailintegration.md): This method will patch an existing email integration with the specified ID, using the HTTP PATCH specification. ## Updates a email integration with the specified ID. - [PUT /emailIntegrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/email-integrations/updateemailintegration.md): This method will update an existing email integration with the specified ID.